> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seam.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Simulate Hub Connection

> Simulates bringing the Wi‑Fi hub (bridge) back online for a device.
Only applicable for sandbox workspaces and currently
implemented for August and TTLock locks.
This will clear the `hub_disconnected` error on the device.



## OpenAPI

````yaml /openapi.json post /devices/simulate/connect_to_hub
openapi: 3.0.0
info:
  title: Seam Connect
  version: 1.0.0
servers:
  - url: https://connect.getseam.com
security: []
tags:
  - description: access_codes
    name: /access_codes
  - description: acs
    name: /acs
  - description: action_attempts
    name: /action_attempts
  - description: client_sessions
    name: /client_sessions
  - description: connected_accounts
    name: /connected_accounts
  - description: connect_webviews
    name: /connect_webviews
  - description: devices
    name: /devices
  - description: events
    name: /events
  - description: health
    name: /health
  - description: locks
    name: /locks
  - description: networks
    name: /networks
  - description: noise_sensors
    name: /noise_sensors
  - description: phones
    name: /phones
  - description: thermostats
    name: /thermostats
  - description: user_identities
    name: /user_identities
  - description: webhooks
    name: /webhooks
  - description: workspaces
    name: /workspaces
paths:
  /devices/simulate/connect_to_hub:
    post:
      tags:
        - /devices
      summary: Simulate Hub Connection
      description: |-
        Simulates bringing the Wi‑Fi hub (bridge) back online for a device.
        Only applicable for sandbox workspaces and currently
        implemented for August and TTLock locks.
        This will clear the `hub_disconnected` error on the device.
      operationId: devicesSimulateConnectToHubPost
      requestBody:
        content:
          application/json:
            schema:
              properties:
                device_id:
                  description: ID of the device whose hub you want to reconnect.
                  format: uuid
                  type: string
              required:
                - device_id
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  ok:
                    type: boolean
                required:
                  - ok
                type: object
          description: OK
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
      security:
        - api_key: []
        - pat_with_workspace: []
        - console_session_with_workspace: []
        - client_session_with_customer: []
      x-codeSamples:
        - lang: javascript
          label: Seam SDK
          source: |-
            await seam.devices.simulate.connectToHub({
              device_id: "5d703d4f-523f-42af-9439-618415ca651f",
            });

            /*
            // void
            */
        - lang: bash
          label: cURL
          source: >-
            curl --include --request POST
            "https://connect.getseam.com/devices/simulate/connect_to_hub" \
              --header "Authorization: Bearer $SEAM_API_KEY" \
              --json @- <<EOF
            {
              "device_id": "5d703d4f-523f-42af-9439-618415ca651f"
            }

            EOF


            # Response:

            # {}
        - lang: python
          label: Seam SDK
          source: >-
            seam.devices.simulate.connect_to_hub(device_id="5d703d4f-523f-42af-9439-618415ca651f")


            # None
        - lang: ruby
          label: Seam SDK
          source: >-
            seam.devices.simulate.connect_to_hub(device_id:
            "5d703d4f-523f-42af-9439-618415ca651f")


            # => nil
        - lang: php
          label: Seam SDK
          source: |-
            $seam->devices->simulate->connect_to_hub(
                device_id: "5d703d4f-523f-42af-9439-618415ca651f",
            );
        - lang: bash
          label: Seam CLI
          source: >-
            seam devices simulate connect-to-hub --device_id
            "5d703d4f-523f-42af-9439-618415ca651f"


            # {}
components:
  securitySchemes:
    api_key:
      bearerFormat: API Key
      scheme: bearer
      type: http
    pat_with_workspace:
      bearerFormat: API Token
      scheme: bearer
      type: http
    console_session_with_workspace:
      bearerFormat: Console Session Token
      scheme: bearer
      type: http
    client_session_with_customer:
      bearerFormat: Customer Client Session Token
      scheme: bearer
      type: http

````